<?php
/*************************************************************************      
* 文件说明：         
*    功能说明:根据由Applet传来的sys_id,跳转到不同的状态显示页面，
*
*    调用关系：调用:各种设备的状态信息显示页面    
*              被调用:show_applet.php        
*
*
* 作者：
*      
*修改注释：      
*NO.1      
*姓名：            
*时间：      
*修改说明：      
*************************************************************************/
require("../../inc/header.inc");
$DEBUG = 0;

if($DEBUG) echo "<br>page_type = $page_type , page_num = $page_num";
$page_num = omc_keep_length($page_num,0,4);
if($DEBUG) echo "<br>page_type = $page_type page_num = $page_num";
$sys_code = $page_type - 50;
$sys_type = omc_sys_code2type($sys_code);
$sys_num  = substr($page_num,0,2)+0;
$subsys_num  = substr($page_num,2,2)+0;
$sys_id   = $sys_type.'_'.$sys_num.'_'.$subsys_num;
$sys_id_2 = $sys_type.'_'.$sys_num;

switch($sys_type){
	case '8KE1':
		$page_url = "../../fault/csuStatus/csuStatus_frame.php";
		break;
	case 'CCF(MSC)':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'MSC':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'VPS':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'PCR':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'PCRK':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'PCR8':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'CNF':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'CNFC':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'IWF':
		$page_url = "../../fault/perStatus/devStatus.php";
		break;
	case 'OMC':			   
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'HLR':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'AUC':		
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'EIR':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'PPS':		
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'SMSC':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'VLR':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'VSS':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'VAS':
		$page_url = "../../fault/serverStatus/serverStatus.php";
		break;
	case 'BSC':
		$page_url = "../../fault/bssStatus/bscStatus.php?src_page_type=$src_page_type&src_page_num=$src_page_num";
		break;
	case 'BTS':
		$page_url = "../../fault/bssStatus/btsStatus.php?src_page_type=$src_page_type&src_page_num=$src_page_num";
		break;
	case 'PWR':
		$page_url = "../../fault/csuStatus/csuStatus.php";
		break;
	default:
		echo "Can't find this system's define!please check it:$sys_id";
		exit();
}
if($DEBUG) echo "<br>$page_url";
if($DEBUG) exit();
echo "<meta http-equiv=\"refresh\" content=\"0 url=$page_url\">";
exit();
?>
